* {
  background-color: black;
  color: white;
  font-family: sans-serif;
  box-sizing: border-box;
}

h3 {
  margin-top: 0;
}

h2 {
  margin-bottom: 0;
  margin-top: 0.5rem;
}

h4 {
  margin: 0;
  font-weight: normal;
  font-style: italic;
  font-size: 0.8rem;
}

.container {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: top;
  align-items: center;
  text-align: center;
}

.box {
  max-width: 500px;
  padding: 20px;
  background-color: white;
  color: black;
  border-radius: 2rem;
  box-shadow: 0.8rem 0.8rem lightgrey;
}

.box * {
  background-color: inherit;
  color: inherit;
}

.box input,
.box button {
  border-radius: 0.5rem;
  padding: 5px;
}

.pokemon-img-div img {
  width: 40%;
}

.pokemon-info-div {
  width: 400px;
  height: 250px;
}

.pokemon-stats-div {
  width: 400px;
  height: 400px;
  display: grid;
  grid-template-columns: repeat(1, 2fr 1fr);
  gap: 0.4rem;
}

.pokemon-stats-div .stat,
.pokemon-stats-div .stat-name {
  background-color: black;
  color: white;
  box-shadow: 0.2rem 0.2rem lightgrey;
  border-radius: 1rem
}

.types {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 0.5rem;
}

.types * {
  padding: 0.4rem;
  border-radius: 0.4rem;
}

/* Special styling for Pokémon types copied from FreeCodeCamp*/

.normal {
  background-color: #b7b7aa;
}

.fire {
  background-color: #ff6f52;
}

.water {
  background-color: #42a1ff;
}

.electric {
  background-color: #fecc33;
}

.grass {
  background-color: #78cc55;
}

.ice {
  background-color: #66ccfe;
}

.fighting {
  background-color: #d3887e;
}

.poison {
  background-color: #c68bb7;
}

.ground {
  background-color: #dfba52;
}

.flying {
  background-color: #8899ff;
}

.psychic {
  background-color: #ff66a3;
}

.bug {
  background-color: #aabb23;
}

.rock {
  background-color: #baaa66;
}

.ghost {
  background-color: #9995d0;
}

.dragon {
  background-color: #9e93f1;
}

.dark {
  background-color: #b59682;
}

.steel {
  background-color: #abaabb;
}

.fairy {
  background-color: #ed99ed;
}